TestReportAggregationPlugin (Gradle API 9.7.1)
Description: declaration: package: org.gradle.api.plugins, class: TestReportAggregationPlugin

# Class TestReportAggregationPlugin

java.lang.Object
org.gradle.api.plugins.TestReportAggregationPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class TestReportAggregationPlugin extends Object implements Plugin<Project>
Adds configurations to for resolving variants containing test execution results, which may span multiple subprojects. Reacts to the presence of the jvm-test-suite plugin and creates tasks to collect test results for each named test-suite.

Since:
  7.4
See Also:
  - Test Report Aggregation Plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TEST_REPORT_AGGREGATION_CONFIGURATION_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestReportAggregationPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.
  `protected abstract DependencyFactory`
  `getDependencyFactory()`
  `protected abstract org.gradle.api.plugins.jvm.internal.JvmPluginServices`
  `getJvmPluginServices()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEST_REPORT_AGGREGATION_CONFIGURATION_NAME

    public static final String TEST_REPORT_AGGREGATION_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestReportAggregationPlugin

    public TestReportAggregationPlugin()

- ## Method Details

  - ### getDependencyFactory

    @Inject protected abstract DependencyFactory getDependencyFactory()

  - ### getJvmPluginServices

    @Inject protected abstract org.gradle.api.plugins.jvm.internal.JvmPluginServices getJvmPluginServices()

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object